oracle.jdbc

## Interface OracleStruct

All Superinterfaces:
  Struct

All Known Implementing Classes:
  JAVA_STRUCT, STRUCT

    public interface OracleStruct
    extends Struct

This interface defines the Oracle extensions to the standard JDBC interface `Struct`.

Generally any new code should avoid the direct use of the class `STRUCT`. For variable declarations use the interface `Struct` or this interface as required. For creating a new oracle.jdbc.OracleStruct use `java.sql.Connection#createStruct()`.

Since:
  11.2.0.3

### Method Summary

All Methods Instance Methods Abstract Methods
`OracleTypeMetaData` `getOracleMetaData()` Oracle extension.

### Methods inherited from interface java.sql.Struct

`getAttributes, getAttributes, getSQLTypeName`

### Method Detail

#### getOracleMetaData

    OracleTypeMetaData getOracleMetaData()
                                  throws SQLException

Oracle extension. Get the SQL STRUCT type metadata for the type of this object.

Returns:
  metadata for this object's type
Throws:
  `SQLException` - if an error occurs

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.